- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cp_mgmt_vpn_community_star – Manages vpn-community-star objects on Check Point over Web Services API

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Manages vpn-community-star objects on Check Point devices including creating, updating and removing objects.

- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auto_publish_session boolean | Choices: no yes | Publish the current session if changes have been performed after task completes.
center_gateways list |  | Collection of Gateway objects representing center gateways identified by the name or UID.
color string | Choices: aquamarine black blue crete blue burlywood cyan dark green khaki orchid dark orange dark sea green pink turquoise dark blue firebrick brown forest green gold dark gold gray dark gray light green lemon chiffon coral sea green sky blue magenta purple slate blue violet red navy blue olive orange red sienna yellow | Color of the object. Should be one of existing colors.
comments string |  | Comments string.
details_level string | Choices: uid standard full | The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.
encryption_method string | Choices: prefer ikev2 but support ikev1 ikev2 only ikev1 for ipv4 and ikev2 for ipv6 only | The encryption method to be used.
encryption_suite string | Choices: suite-b-gcm-256 custom vpn b vpn a suite-b-gcm-128 | The encryption suite to be used.
ignore_errors boolean | Choices: no yes | Apply changes ignoring errors. You won't be able to publish such a changes. If ignore-warnings flag was omitted - warnings will also be ignored.
ignore_warnings boolean | Choices: no yes | Apply changes ignoring warnings.
ike_phase_1 dictionary |  | Ike Phase 1 settings. Only applicable when the encryption-suite is set to [custom].
| data_integrity string | Choices: aes-xcbc sha1 sha256 sha384 md5 | The hash algorithm to be used.
| diffie_hellman_group string | Choices: group-1 group-2 group-5 group-14 group-19 group-20 | The Diffie-Hellman group to be used.
| encryption_algorithm string | Choices: cast aes-256 des aes-128 3des | The encryption algorithm to be used.
ike_phase_2 dictionary |  | Ike Phase 2 settings. Only applicable when the encryption-suite is set to [custom].
| data_integrity string | Choices: aes-xcbc sha1 sha256 sha384 md5 | The hash algorithm to be used.
| encryption_algorithm string | Choices: cast aes-gcm-256 cast-40 aes-256 des aes-128 3des des-40cp aes-gcm-128 none | The encryption algorithm to be used.
mesh_center_gateways boolean | Choices: no yes | Indicates whether the meshed community is in center.
name string / required |  | Object name.
satellite_gateways list |  | Collection of Gateway objects representing satellite gateways identified by the name or UID.
shared_secrets list |  | Shared secrets for external gateways.
| external_gateway string |  | External gateway identified by the name or UID.
| shared_secret string |  | Shared secret.
state string | Choices: present ← absent | State of the access rule (present or absent). Defaults to present.
tags list |  | Collection of tag identifiers.
use_shared_secret boolean | Choices: no yes | Indicates whether the shared secret should be used for all external gateways.
version string |  | Version of checkpoint. If not given one, the latest version taken.
wait_for_task boolean | Choices: no yes ← | Wait for the task to end. Such as publish task.

## Examples

    - name: add-vpn-community-star
      cp_mgmt_vpn_community_star:
        center_gateways: Second_Security_Gateway
        encryption_method: prefer ikev2 but support ikev1
        encryption_suite: custom
        ike_phase_1:
          data_integrity: sha1
          diffie_hellman_group: group 19
          encryption_algorithm: aes-128
        ike_phase_2:
          data_integrity: aes-xcbc
          encryption_algorithm: aes-gcm-128
        name: New_VPN_Community_Star_1
        state: present

    - name: set-vpn-community-star
      cp_mgmt_vpn_community_star:
        encryption_method: ikev2 only
        encryption_suite: custom
        ike_phase_1:
          data_integrity: sha1
          diffie_hellman_group: group 19
          encryption_algorithm: aes-128
        ike_phase_2:
          data_integrity: aes-xcbc
          encryption_algorithm: aes-gcm-128
        name: New_VPN_Community_Star_1
        state: present

    - name: delete-vpn-community-star
      cp_mgmt_vpn_community_star:
        name: New_VPN_Community_Star_1
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_vpn_community_star dictionary | always, except when deleting the object. | The checkpoint object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.